<?php

declare(strict_types=1);

namespace Drupal\field_ipaddress_pgsql\Plugin\Validation\Constraint;

use Symfony\Component\Validator\Constraint;

/**
 * Provides a cidr format validation constraint.
 *
 * @Constraint(
 *   id = "CidrFormat",
 *   label = @Translation("cidr format validation", context = "Validation"),
 * )
 */
final class CidrFormatConstraint extends Constraint {

  /**
   * Message for when the value isn't in the proper format.
   *
   * @var string
   */
  public string $message = 'The value is in the wrong format for the cidr type. See <a href="https://www.postgresql.org/docs/current/datatype-net-types.html#DATATYPE-NET-CIDR-TABLE" target="_blank">The cidr Type Input Examples</a>.';

}
